Subject: 23.3; frame-identification

From: kurn <[email-masked]>
Date: Mon, 14 Nov 2011 16:38:07 -0800

The frame indentification has disappeared from the mode-line in the latest
Emacs.  This is emacs -nw.

Inspection shows the value of mode-line-frame-identification = ("  ") 

I have put this work-around in my .emacs file:
(unless window-system (setq mode-line-frame-identification '("-%F ")))

So, I think that's what you need to know . .  exactly which variable
has a wrong value and what it is.

Oh, I'm on OS X 10.4.  There!  I think that's everything.

Andrew

--text follows this line--
This bug report will be sent to the Free Software Foundation,
not to your local site managers!
Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your report will be posted to the [email-masked] mailing list
and the gnu.emacs.bug news group, and at http://debbugs.gnu.org.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug.  If you can, give
a recipe starting from `emacs -Q':

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/usr/src/emacs-23.3/etc/DEBUG.

In GNU Emacs 23.3.1 (powerpc-apple-darwin8.11.0, NS apple-appkit-824.48)
 of 2011-11-14 on d142-058-206-239.surrey.sfu.ca
Windowing system distributor `Apple', version 10.3.824
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Info

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
] f D ESC ] f D ESC ] f 5 m o d e - l i n e RET ESC 
] f D ESC ] f D ESC ] f D ESC ] f D ESC ] f D ESC ] 
f D ESC ] f D ESC ] f D ESC ] f D ESC ] f D ESC ] f 
D ESC ] f D ESC ] f D ESC ] f D ESC ] f D ESC ] f D 
ESC ] f D ESC ] f D ESC ] f D ESC ] f D ESC ] f D ESC 
] f D ESC ] f D ESC ] f D ESC ] f D ESC ] f D ESC ] 
f D ESC ] f D ESC ] f D ESC ] f D ESC ] f U ESC ] f 
D ESC ] f D ESC ] f D ESC ] f D ESC ] f D ESC ] f D 
ESC ] f D ESC ] f D ESC ] f H C-x b RET C-x C-b C-x 
b B TAB RET ESC ] f 8 C-x b * i TAB RET l l l l ESC 
O A ESC O A ESC O A ESC O A ESC O A ESC O A RET m B 
u g s RET 1 ESC ] f 9 ESC ] f D ESC ] f U n ESC ] f 
D n ESC ] f D n ESC ] f D ESC ] f U ESC ] f D ESC ] 
f D ESC ] f D ESC ] f D ESC ] f D ESC ] f D ESC ] f 
H ESC x r e p o r t TAB RET

Recent messages:
("emacs")
For information about GNU Emacs and the GNU system, type M-x about-emacs.
Composing main Info directory...done
Mark set [2 times]
("  ") [3 times]
Mark set [3 times]
nonincremental-search-forward: Search failed: "mode-line"
Mark set [2 times]

Load-path shadows:
None found.

Features:
(shadow sort mail-extr message sendmail ecomplete rfc822 mml mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock sha1
hex-util hashcash mail-utils emacsbug noutline outline easy-mmode dired
regexp-opt info tooltip ediff-hook vc-hooks lisp-float-type mwheel
ns-win easymenu tool-bar dnd fontset image fringe lisp-mode register
page menu-bar rfn-eshadow timer select scroll-bar mldrag mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process ns multi-tty emacs)